# Uses of Annotation Interface
net.shibboleth.shared.annotation.constraint.Positive

Packages that use Positive
Package
Description
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of Positive in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl with annotations of type Positive
Modifier and Type
Field
Description
`private int`
SelfSignedCertificateGenerator.CommandLineArgs.`certificateLifetime`
Certificate lifetime.
`private int`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`keyCount`
Key count.
`private int`
BasicKeystoreKeyStrategyTool.CommandLineArgs.`keySize`
Key size.
`private int`
SelfSignedCertificateGenerator.CommandLineArgs.`keySize`
Key size.
Method parameters in net.shibboleth.shared.security.impl with annotations of type Positive
Modifier and Type
Method
Description
`void`
SelfSignedCertificateGenerator.`setCertificateLifetime(int lifetime)`
Set the number of years for which the certificate will be valid.
`void`
BasicKeystoreKeyStrategyTool.`setKeyCount(int count)`
Set the number of keys to maintain.
`void`
BasicKeystoreKeyStrategyTool.`setKeySize(int size)`
Set the size of the generated key.
`void`
SelfSignedCertificateGenerator.`setKeySize(int size)`
Set the size of the generated key.

## Uses of Positive in net.shibboleth.shared.testing

Constructor parameters in net.shibboleth.shared.testing with annotations of type Positive
Modifier
Constructor
Description
``
`InMemoryDirectory(String[] baseDNs, Resource ldif, int port)`
Constructor without STARTTLS support.
``
`InMemoryDirectory(String[] baseDNs, Resource ldif, int port, boolean requireAuthForSearch)`
Constructor without STARTTLS support.
``
`InMemoryDirectory(String[] baseDNs, Resource ldif, int port, boolean requireAuthForSearch, Resource keystore, Optional<Resource> truststore)`
Constructor with STARTTLS support.
``
`InMemoryDirectory(String[] baseDNs, Resource ldif, int port, Resource keystore, Optional<Resource> truststore)`
Constructor with STARTTLS support.